Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/brand-management/connected-tenants-locations

Prev Next
Get
/public/v1/brand-management/connected-tenants-locations

Retrieves a paginated list of tenants and their locations that have subscribed to the authenticated brand. Use the continuationToken from the previous response to retrieve the next page.

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
pageSize
integer (int32)

Maximum number of tenants to return per page. Must be between 1 and 250. Defaults to 250

Default250
continuationToken
string

Pagination token from a previous response. Omit to start from the first page

Responses
200

Connected Brand tenants and their locations (paginated).

Expand All
object

Paged list of brand subscription locations.

entities
Array of object (R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionLocation)

Items on the current page.

object
tenantId
integer (int32)

Unique identifier of the tenant.

tenantName
string

Tenant display name.

locations
Array of object (R365.Brands.Contracts.BrandSubscriptions.Location)
object
id
string (uuid)

Unique identifier of the location.

number
string

Number assigned to the location.

name
string

Display name of the location.

nextPage
string (uri) | null

Absolute URL for the next page of results. Null/omitted when there is no next page.

Expand All
object

Paged list of brand subscription locations.

entities
Array of object (R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionLocation)

Items on the current page.

object
tenantId
integer (int32)

Unique identifier of the tenant.

tenantName
string

Tenant display name.

locations
Array of object (R365.Brands.Contracts.BrandSubscriptions.Location)
object
id
string (uuid)

Unique identifier of the location.

number
string

Number assigned to the location.

name
string

Display name of the location.

nextPage
string (uri) | null

Absolute URL for the next page of results. Null/omitted when there is no next page.

Expand All
object

Paged list of brand subscription locations.

entities
Array of object (R365.Brands.Contracts.BrandSubscriptions.BrandSubscriptionLocation)

Items on the current page.

object
tenantId
integer (int32)

Unique identifier of the tenant.

tenantName
string

Tenant display name.

locations
Array of object (R365.Brands.Contracts.BrandSubscriptions.Location)
object
id
string (uuid)

Unique identifier of the location.

number
string

Number assigned to the location.

name
string

Display name of the location.

nextPage
string (uri) | null

Absolute URL for the next page of results. Null/omitted when there is no next page.

401

Unauthorized

object
type
string | null
title
string | null
status
integer (int32) | null

Current status of the problem details.

detail
string | null
instance
string | null
403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null

Current status of the problem details.

detail
string | null
instance
string | null